
%define		qtver	4.5.0

Summary:	qzion
Summary(pl.UTF-8):	qzion
Name:		qzion
Version:	0.4.0
Release:	0.git.4
License:	GPL v2
Group:		X11/Libraries
#Source0:	http://dev.openbossa.org/qedje/downloads/source/%{name}/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}-git.tar.gz
# Source0-md5:	628ef8996686e16131973d8f08d54d49
Patch0:		%{name}-python.patch
Patch1:		%{name}-build.patch
URL:		http://dev.openbossa.org/trac/qzion
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	cmake
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	sip-PyQt4
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qzion

%description -l pl.UTF-8
qzion

%package devel
Summary:	Header files for qzion library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qzion
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	python-sip-devel

%description devel
Header files for qzion library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qzion.

%prep
%setup -q -n %{name}-%{version}-git
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqzion.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqzion.so.?
%dir %{py_sitedir}/qzion
%{py_sitedir}/qzion/__init__.py
%{py_sitedir}/qzion/__init__.pyc
%{py_sitedir}/qzion/qzion.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqzion.so
%{_includedir}/*.h
%{_pkgconfigdir}/qzion.pc
%{_datadir}/sip/qzion
%changelog
* Fri Mar 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qzion.git;a=log;h=master

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> d0878b4
- updated pyQt4 BR
- rel 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 5747921
- BR: QtXmlPatterns-devel
- dropped BR: eet-devel

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 320636b
- rel .3; pc files installed now

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 87321d0
- rel .2

* Thu Dec 03 2009 sparky <sparky@pld-linux.org> 9470842
- BR: cmake, qt4-build, rpm-pythonprov

* Mon Aug 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 20a76ef
- cmake case sensitive var values

* Mon Jun 01 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 6f81f1f
- patch for python added

* Mon May 25 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8364be5
- added %dir %{py_sitedir}/qzion

* Mon May 25 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> be4c04a
- added BR: python-PyQt4-devel

* Mon May 11 2009 shadzik <shadzik@pld-linux.org> cf7eede
- less tabs

* Mon May 11 2009 shadzik <shadzik@pld-linux.org> 0785251
- obsolete

* Mon May 11 2009 shadzik <shadzik@pld-linux.org> 07fe3c9
- rm patch0

* Mon May 11 2009 shadzik <shadzik@pld-linux.org> b8d8eb0
- 0.4.0 git

* Fri Feb 06 2009 witekfl <witekfl@pld-linux.org> 6c5bbe3
- utf8

* Thu Nov 06 2008 shadzik <shadzik@pld-linux.org> 8aa6d38
- add patch0 to fix build on 64bit
- rel 1

* Thu Nov 06 2008 shadzik <shadzik@pld-linux.org> 5b88eba
- fix build on 64bit

* Sun Nov 02 2008 shadzik <shadzik@pld-linux.org> b82dd75
- added BRs
- fixed build
- added -devel subpackage
- packaged all files
- TODO: needs a better description

* Sun Nov 02 2008 shadzik <shadzik@pld-linux.org> 18fd938
- BR: eet-devel

* Sun Nov 02 2008 Robert Tomasik <rotom@pld-linux.org> 5060230
- initial (NFY)

